Bug 165548 - www/openx: Suggested Apache config disables .htaccess.
www/openx: Suggested Apache config disables .htaccess.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 09:30 UTC by freebsd
Modified: 2012-07-04 09:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-02-29 09:30:08 UTC
The PKGMESSAGE for www/openx suggests setting 'AllowOverride None', but this disables the .htaccess files that deny access to several directories.

Fix: 

Change 'AllowOverride None' to, at least, 'AllowOverride Limit'.

The port maintainer has been notified, but is not responsive.
How-To-Repeat: -
Comment 1 Edwin Groothuis freebsd_committer 2012-02-29 09:30:15 UTC
Maintainer of www/openx,

Please note that PR ports/165548 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165548

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-02-29 09:30:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 piotr.rybicki 2012-02-29 09:37:26 UTC
This is correct. Please submit.

Thank You

-- 
Piotr Rybicki, Prezes ZarzÄdu
InnerVision Sp. z o.o.
http://www.innervision.pl
Comment 4 scheidell freebsd_committer 2012-03-06 11:08:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 scheidell freebsd_committer 2012-03-06 11:13:51 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

pr seems to indicate approval of a patch, but I don't see a patch in the 
pr. back to pool
Comment 6 scheidell freebsd_committer 2012-03-06 13:49:25 UTC
On 3/6/12 8:00 AM, Piotr Rybicki wrote:
> W dniu 2012-03-06 12:10, Michael Scheidell pisze:
>> Email approving patch came from Piotr Rybicki 
>> <piotr.rybicki@innervision.pl>
>>
>> is this an alias for meritus@innervision.pl  ?
>> If it is, I will commit patch for you .
>>
> Yes, that's my alias.
>
> Please commit. Thank You

I looked again, there is no patch in the pr, unless I missed something.

-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator
Comment 7 Philip M. Gollucci freebsd_committer 2012-03-09 05:06:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 8 dfilter freebsd_committer 2012-07-04 09:03:07 UTC
rm          2012-07-04 08:02:57 UTC

  FreeBSD ports repository

  Modified files:
    www/openx/files      pkg-message.in 
  Log:
  Change recommendations regarding Apache configuration in a way to not disable
  .htaccess directives handling (files web-access related).
  
  Do not bump PORTREVISION because critical port update is coming
  anyway (ports/169635).
  
  PR:             165548
  Submitted by:   Rob la Lau <freebsd at ohreally dot nl>
  Approved by:    Piotr Rybicki <piotr.rybicki at innervision dot pl> (maintainer, another email)
  
  Revision  Changes    Path
  1.2       +1 -1      ports/www/openx/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2012-07-04 09:20:06 UTC
State Changed
From-To: feedback->closed

Committed, thank you!